Support Board
Date/Time: Fri, 06 Dec 2024 02:04:43 +0000
[User Discussion] - Linux
View Count: 82381
[2024-07-09 19:05:19] |
ertrader - Posts: 680 |
Latest configuration: SierraChart Version 2654 64 bit (2 instances) Wine 9.12 Mint Linux 21.3/Cinnamon desktop Kernel 6.5.0-35 generic AMD Ryzen 7 3800X GeForce GTX 1660 Nvidia/6 GB GDDR5/Driver 545.29.06/OpenGL Dual Monitors 1920X1080 60 Hz for both monitors Total System RAM: 16 Gig Memory usage: <500 Meg for main instance 200 meg for copy trade instance. This configuration greatly simplified my setup. CPU Utilization: <8% for main instance <5% for copy instance. 28 Charts, 4 instruments and 4 ADR symbols (ES, YM, NQ, RTY, ADR-YM, ADR-TF, ADR-NASDAQ, ADR-SP) Denali data-feed with MBO data Teton Order Routing with Stage5/Advantage and Ironbeam Rithmic for trader evaluations and PA accounts RealVNC for remote access Trade Copying from: https://www.simplesystemtrading.com/local-trade-copier/ Updated 7/9/24 Date Time Of Last Edit: 2024-07-09 19:06:03
|
[2024-07-12 08:53:39] |
nzfarmer - Posts: 6 |
Good news guys. My development box at work (Ubuntu 22.04) allowed me to build the DLL and load it successfully. So I've started afresh at home with a clean 22.04 install apt install wine apt install g++-mingw-w64-x86-64-win32 apt install git build-essential etc. I did get a small error when compiling (error _ASSERT not defined) - not sure why it compiled first time on the workstation at work but hey, pretty minor. For a quick fix, I just edited ACS_Source/scdatetime.h and included crtdbg.h Anyway, happy days. Makefile below as promised - adapt as necessary. # Compiler and flags CXX = x86_64-w64-mingw32-g++ CXXFLAGS = -march=x86-64 -mtune=x86-64 -O2 -shared -static -static-libgcc -static-libstdc++ -s -fexceptions -w INCLUDES = -I../../ACS_Source/ -I/usr/x86_64-w64-mingw32/include # Source and target SRC = button_studies.cpp TARGET_DIR = ../../Data TARGET = $(TARGET_DIR)/button_studies.dll # Default target all: $(TARGET) # Build target $(TARGET): $(SRC) $(CXX) $(CXXFLAGS) $(INCLUDES) $< -o $@ # Clean target clean: rm -f $(TARGET) .PHONY: all clean |
[2024-07-12 16:21:05] |
ertrader - Posts: 680 |
Great.. glad you got it working :)
|
[2024-07-12 21:32:05] |
d9e5c763 - Posts: 109 |
build dll in gentoo linux: $ sudo emerge dev-util/mingw64-toolchain $ /usr/lib/mingw64-toolchain/bin/x86_64-w64-mingw32-g++ -march=native -O2 -shared -std=gnu++11 -static -static-libgcc -static-libstdc++ -s -fno-rtti -fno-exceptions -w ExampleCustomStudies.cpp -o ExampleCustomStudies.dll |
[2024-08-24 23:19:35] |
User303857 - Posts: 77 |
Hello Linux Thread I am going to read the 30 pages of this thread to find a starting point. I want to install Linux on a older laptop that currently has Windows 10. Going down the rabbit hole, just want to eventually find a way out... Is there a list of exactly what is needed to do this? More than these 3 things? Wine 9.12 Mint Linux 21.3/Cinnamon desktop Kernel 6.5.0-35 generic Thanks for any help, and things to avoid. I know just enough to be dangerous. Date Time Of Last Edit: 2024-08-24 23:20:30
|
[2024-08-25 07:31:44] |
cesium - Posts: 94 |
Yes looks good, sc runs perfectly in wine on 6.5.x or 6.9.x kernel enjoy the freedom of linux, your older laptop breathe new life report back in a few years after youre done reading all 30 pages of the thread XD Date Time Of Last Edit: 2024-09-07 13:13:55
|
[2024-09-11 06:58:46] |
User42554 - Posts: 16 |
Hi all, after years of using customized Debian on Sierra I switched to CachyOS. CachyOS is a Linux distribution based on Arch Linux. It focuses on speed and security optimisations - the default Linux kernel is heavily optimised using the BORE (Burst-Oriented Response Enhancer) scheduler, while the desktop packages are compiled with LTO, x86-64-v3 and x86-64-v4, Zen 4 optimization, security flags and performance improvements. No problem so far and I don't need to solve constant issues with NVIDIA drivers / latest kernel. If distro is good for gamers then why don't use it on trading. Kernel: Linux 6.10.8-1-cachyos-rt-bore Packages: 1161 (pacman) Shell: fish 3.7.1 Display: 3840x2160 @ 60 Hz * Display: 2560x1440 @ 60 Hz in 27] DE: Xfce4 4.18 CPU: AMD Ryzen 9 5950X (32) @ 6.73 GHz GPU: NVIDIA GeForce RTX 3060 Ti Lite Ha] Memory: 3.20 GiB / 62.70 GiB (5%) Swap: 256.00 KiB / 62.70 GiB (0%) Disk (/): 102.21 GiB / 913.83 GiB (11%) -4 Wine 9.16 SC ver. 2674 |
[2024-09-12 17:19:56] |
Tony - Posts: 527 |
Thanks User42554, Wonder which desktop are you using? I am trying to do a test drive, and only saw KDE, didn't go too far because it failed to detect Wi-Fi (10-year old iMac). I do found though Manjaro (Xfce) is noticeably faster and smoother than Linux Mint, but unfortunately they don't have Cinnamon, which is my favorite desktop. |
[2024-09-12 18:22:50] |
d9e5c763 - Posts: 109 |
my sierrachart upgrade script: #!/bin/bash get_versions() { versions=$(curl -s https://www.sierrachart.com/index.php?page=doc/SCZipInstallerList.php | grep -oP '(?<=SierraChart)\d+(?=\.zip)' | sort -rnu | head -n 10) echo "Available versions:" counter=1 while IFS= read -r version; do echo "$counter) $version" counter=$((counter + 1)) done <<< "$versions" read -p "Enter a number (1-10) to select a version, or enter a specific version number: " selection if [[ "$selection" =~ ^[1-9]$|^10$ ]]; then selected_version=$(echo "$versions" | sed -n "${selection}p") elif [[ "$selection" =~ ^[0-9]{4,}$ ]]; then selected_version=$selection else echo "Invalid input. Please enter a number between 1 and 10, or a valid version number (at least 4 digits)." exit 1 fi echo "You selected version: $selected_version" main "$selected_version" } main() { local version=$1 local zip_file="SierraChart$version.zip" local download_url="https://www.sierrachart.com/downloads/ZipFiles/$zip_file" echo "Attempting to download $zip_file..." if ! wget -q --spider "$download_url"; then echo "Error: Version $version is not available for download. The file does not exist on the server." exit 1 fi wget "$download_url" if [ $? -ne 0 ]; then echo "Error: Failed to download $zip_file" exit 1 fi if [ ! -f "$zip_file" ]; then echo "Error: $zip_file was not downloaded successfully." exit 1 fi mkdir -p "./SierraChart_$version/" unzip "$zip_file" -d "./SierraChart_$version/" if [ $? -ne 0 ]; then echo "Error: Failed to unzip $zip_file" rm -f "$zip_file" exit 1 fi rm -rf AlertSounds ; mv "./SierraChart_$version/AlertSounds" ./ rm -rf Graphics ; mv "./SierraChart_$version/Graphics" ./ cp -rf "./SierraChart_$version/SierraChart_64.exe" ./SierraChart/ cp -rf "./SierraChart_$version/SierraChartStudies_64.dll" ./SierraChart/ cp -rf "./SierraChart_$version/ACS_Source/"* ./ACS_Source/ dos2unix ./ACS_Source/* rm -rf "./SierraChart_$version" rm -f "$zip_file" echo "Update to version $version completed successfully." } get_versions |
[2024-09-25 13:22:46] |
ertrader - Posts: 680 |
@d9e5c763 Thank you..was having an issue with the updater hanging (it's working ok now) but this is helpful! Other than the updater hanging...I've not had any new issues.
|
[2024-09-25 13:24:52] |
ertrader - Posts: 680 |
I did see the below link...I'm soooo thankful Linux is working so well! I started this thread a few years ago EXACTLY because of this kind of MS nonsense. Microsoft Windows Is Truly Garbage. An Abomination. Software That is Woke and Insane |
[2024-10-28 01:33:41] |
User524013 - Posts: 5 |
I hope I'm not intruding here, but I wanted to report Sierra Chart is running fine on Macaroni Linux OS..... Kernel 6.1.87 Wine 9 Desktop LXQt 8 chartbooks with about 70 total charts running Teton Order Routing 5 year old Dell PowerEdge T30 Mini Tower Server 16 GB RAM Intel Xeon processor E3-1225 v5 |
[2024-10-28 13:27:09] |
ertrader - Posts: 680 |
Good to hear and thank you for letting us all know!
|
[2024-11-30 17:44:47] |
allons_trading - Posts: 35 |
Has anyone had success with Wine versions > 9.16? Still running Manjaro linux here, and wine was recently updated to 9.20, which re-positioned all my windows, a few completely off the desktop, and when placing one instance back on my laptop screen, the menus would display on an external display. Downgraded back to 9.16 for now.
|
[2024-11-30 17:58:19] |
User900285 - Posts: 96 |
Only thing I could say is I'm on Wine 9.15 which ships on Fedora and things are running fine so far. It does provide an extra kernel message when I call allow or release DLL functions remotely.
|
[2024-12-01 03:34:18] |
ertrader - Posts: 680 |
I've not had any issues with wine 9.22 or prior versions. I'm updating SC to the latest version this week and will let you know if I have any issues. Latest configuration: SierraChart Version 2695 64 bit (2 instances) Wine 9.22 Mint Linux 22/Cinnamon desktop Kernel 6.8.0-49 generic AMD Ryzen 7 3800X GeForce GTX 1660 Nvidia/6 GB GDDR5/Driver 545.29.06/OpenGL Dual Monitors 1920X1080 60 Hz for both monitors Total System RAM: 16 Gig Memory usage: <500 Meg for main instance 200 meg for copy trade instance. This configuration greatly simplified my setup. CPU Utilization: <8% for main instance <5% for copy instance. 28 Charts, 4 instruments and 4 ADR symbols (ES, YM, NQ, RTY, ADR-YM, ADR-TF, ADR-NASDAQ, ADR-SP) Denali data-feed with MBO data Teton Order Routing with Stage5/Advantage and Ironbeam Rithmic for trader evaluations and PA accounts RealVNC for remote access Trade Copying from: https://www.simplesystemtrading.com/local-trade-copier/ Updated 11/30/24 |
[2024-12-01 07:55:44] |
ticinotrader - Posts: 396 |
I’m running Wine 9.20 on Arch and experiencing serious issues with one of my instances after updating to the latest SC v2712. After starting, SC constantly freezes or crashes, requiring me to force kill it. However, after downgrading to v2700, everything returns to normal. |
[2024-12-01 23:42:09] |
ertrader - Posts: 680 |
When first updating to 2712 I did have a complete system freeze for about 2 minutes. It finally resolved and I was able to update. Then went in and set the global update interval to 100ms from 10ms per the 2012 update instructions. This seemed to resolve the issue. I'm testing different update values from 100 to 800 ms. https://www.sierrachart.com/index.php?page=doc/Whats_New.php Date Time Of Last Edit: 2024-12-02 00:47:58
|
[2024-12-02 07:58:02] |
ticinotrader - Posts: 396 |
@ertrader Many thanks for the advice! I’m going to give this a try. Have you found any way to objectively determine the ideal update interval when using certain chartbooks, or is it entirely experimental? |
[2024-12-02 13:47:28] |
ertrader - Posts: 680 |
It is experimental. I'm trying 1000ms for global and 50ms or less for the chart I am trading from directly. Every chart except the one I am trading from can have a larger refresh rate. Also, there is an immediate impact on CPU% and resources so you can get a quick visual too. One way I am getting an indication as to how long to set the update interval for the trading chart is to look at the refresh by study and how many studies. I have 35 studies on a chart. All but 1 are less than 0 ms for refreshing. One is 6 ms. So, if I use 30 to 40 ms that should be a good place to start and then work down to 10 ms to see what happens. Date Time Of Last Edit: 2024-12-02 14:04:13
|
[2024-12-02 15:42:28] |
ertrader - Posts: 680 |
So far this is working well on SC 2712. CPU usage has actually gone down. I'm using 30 ms on trading charts (total of 3 charts: ES, YM and GC) All others are at 1000 ms from the global setting.. No freezing and price action is smooth and I do have MBO data coming in.
|
[2024-12-02 17:07:41] |
cesium - Posts: 94 |
Debian Wine-9.0 Updated sierra from 2695 to 2712 and sierra was freezing, nothing was usable, had to force quit Downgraded from 2712 to 2695 and freezing resolved. Will wait for more info, updates, or versions to come out before attempting update again Using a mix of 800,500,10ms update interval charts on one instance edit: I hear 2713 is out, have not tried method of changing update interval yet, will update post when that occurs edit2: Tried 2713 using safe mode method. The fastest I could use the old 10ms charts was over at 200ms. Even at 200ms, scrolling was lagging. So the 10ms charts became 200ms charts. I downgraded to 2695 for time being. Date Time Of Last Edit: 2024-12-02 19:16:59
|
[2024-12-03 00:51:56] |
allons_trading - Posts: 35 |
Just updated to 2713 on both my instances. Updated Global chart update interval to 1000ms and updated all my charts to match global. Upgraded to 2713, then updated the charts I trade from back to 150ms. Everything runs just as smoothly as with 2700. Sticking with Wine 9.16 for now until Manjaro updates to 9.22 or later to test again. |
[2024-12-03 01:39:06] |
ertrader - Posts: 680 |
Thanks for the update...I also updated to 2713. Will follow up tomorrow with status. So far everything loaded up with no issues.
|
[2024-12-03 02:13:19] |
allons_trading - Posts: 35 |
Haven't searched through this thread lately to see if this has been discussed, but I noticed after starting one of my instances, the CPU usage for the wineserver would jump from ~4% to ~50% and stay there. Doing some discovery as to what was causing the issue, it appears that CPU usage for the wineserver will increase if a trade window is attached to a chart. Having a trade window attached to some charts that were just running in the background was part of the culprit. I closed all those trade windows and the one chart I trade from, I detached it from the chart. Now CPU usage for the wineserver stays around ~4%.
|
[2024-12-03 06:54:43] |
Tony - Posts: 527 |
@allons_trading, sorry for bugging you, rarely see Manjaro users, I am currently running Manjaro XFCE on my 2016 MacBook, wonder if you have used the system zoom function? (Alt + Mouse Wheel), I couldn't find settings for zooming anywhere... Date Time Of Last Edit: 2024-12-03 06:55:03
|
To post a message in this thread, you need to log in with your Sierra Chart account: